%define upstream_name	 Gtk3-WebKit
%define	upstream_version 0.03

%define perl_glib_require 1.240
%define gtk_require 2.22.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module for the webkit-3.x library
License:    LGPLv2+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib::Object::Introspection)
BuildRequires: perl(Gtk3)
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends >= 0.300
BuildRequires: perl-ExtUtils-PkgConfig >= 1.03
BuildRequires: perl-Glib-Object-Introspection >= 0.002
Requires:   typelib(WebKit) = 3.0
%description
This module provides the Perl bindings for the Gtk port of WebKit.

WebKit is a web content engine, derived from KHTML and KJS from KDE, and used
primarily in Apple's Safari browser and Google's Chrome browser. It is made to
be embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It also
supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl Makefile.PL INSTALLDIRS=vendor

%build
%make OPTIMIZE="%{optflags}"

%install
%makeinstall_std

%files
%defattr(-, root, root)
%doc COPYING Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Gtk3/WebKit*
%_mandir/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 367972
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 342191
- update to 0.03

* Mon Jan 30 2012 tv <tv> 0.20.0-1.mga2
+ Revision: 203391
- imported package perl-Gtk3-WebKit

